<?php 
use Magento\Framework\App\Action\Action;

$partner=array();
$helper = $this->helper('Webkul\Marketplace\Helper\Data');
$partner=$block->getProfileDetail();
if($partner['shop_url']){
    if($helper->getActiveColorPicker()){?> 
        <style>
        .page-main{background-image:none;background-color:<?php echo $partner['background_width'];?>;}
        </style>
    <?php
    }
    
    $_productCollection=$block->_getProductCollection();
    $bannerpic=$partner->getBannerPic()!=''?$partner->getBannerPic():"banner-image.png";
    $bannerpic=$helper->getMediaUrl().'avatar/'.$bannerpic;
    ?>
    <div class="collection-banner"><img src="<?php echo $bannerpic; ?>" alt="no image"></img></div>
    <div class="wk_mp_design" style="padding-top: 10px;">
       
        <div class="page-products page-with-filter fieldset wk-mp-fieldset" 
              <?php if($_productCollection->count()){ echo 'style="padding: 0;"';}?>>
            
            <?php
            $_helper = $this->helper('Magento\Catalog\Helper\Output');
            ?>
            <?php if (!$_productCollection->count()): ?>
                <div class="message info empty"><div><?php /* @escapeNotVerified */ echo __('We can\'t find products matching the selection.') ?></div></div>
            <?php else: ?>
    <?php
    $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
    $scopeConfig = $objectManager->create('Magento\Framework\App\Config\ScopeConfigInterface');
    $configEnabled = 'bareq/theme_colors/colors_enabled';
    $enabled = $scopeConfig->getValue(
            $configEnabled, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
    );
    $configLoadMore = 'bareq/category/load_more_disable';
    $disabledLoad = $scopeConfig->getValue(
            $configLoadMore, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
    );
        $configQView = 'bareq/quick_view/quick_view_enabled';
$quickViewEnabled = $scopeConfig->getValue($configQView, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
    ?>
    <?php if ($enabled): ?>
        <?php
        $configMainColor = 'bareq/theme_colors/main_color';
        $mainColor = $scopeConfig->getValue(
                $configMainColor, \Magento\Store\Model\ScopeInterface::SCOPE_STORE);
        ?>
    <?php endif; ?>
    <div class="main-column">
    <section class="nx-section p0-i catalogue-page">
        <div class="row">

            <div class="col-md-4 col-sm-4">
                        <div class="nx-section-header">
                            <h3 class="nx-section-title text-primary" id="page-title-heading" aria-labelledby="page-title-heading toolbar-amount">
                                <span class="base" data-ui-id="page-title-wrapper"><?php echo __("SELLER'S COLLECTION") ?></span>
                            </h3>
                        </div>
            </div>

            <div class="col-md-8 col-sm-8">
                <?php echo $block->getToolbarHtml() ?>
                <?php echo $block->getAdditionalHtml() ?>
            </div>
            
        </div>
        <?php
        if ($block->getMode() == 'grid') {
            $viewMode = 'grid';
            $image = 'category_page_grid';
            $showDescription = false;
            $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
        } else {
            $viewMode = 'list';
            $image = 'category_page_list';
            $showDescription = true;
            $templateType = \Magento\Catalog\Block\Product\ReviewRendererInterface::SHORT_VIEW;
        }
        /**
         * Position for actions regarding image size changing in vde if needed
         */
        $pos = $block->getPositioned();
        ?>

        <!--New-->
        <div class="product-list product-catalogue-list custom-xs-grid" id="<?php /* @escapeNotVerified */ echo $viewMode; ?>View">
            <div class="clearfix" id="list_start" <?php if (!$_productCollection->count()): ?> data-count="0" <?php else: ?> data-count="1" <?php endif; ?>>
                <?php if ($viewMode == 'grid'): ?>
                    <?php $round = 1; ?>
                    <?php $round2 = 1; ?>
                    <?php $counter = 1; ?>
                    <?php foreach ($_productCollection as $_product): ?>

<?php // ---------------------------------------- ?>

                                     
                    <?php // /* @escapeNotVerified */ echo($iterator++ == 1) ? '<li class="item product product-item">' : '</li><li class="item product product-item">' ?>
                    <div class="col-md-4 col-sm-6 col-xs-6" data-container="product-grid">
                        <div class="nx-product">
                            <?php
                            $productImage = $block->getImage($_product, $image);
                            if ($pos != null) {
                                $position = ' style="left:' . $productImage->getWidth() . 'px;'
                                        . 'top:' . $productImage->getHeight() . 'px;"';
                            }
                            ?>
                              <?php echo $block->getReviewsSummaryHtml($_product, $templateType); ?>
                                  <?php
                            $product_label = "";
//                            if($_product_label_config['sale_label']) {
                                $orgprice = $_product->getPrice();
                                $specialprice = $_product->getSpecialPrice();
                                $specialfromdate = $_product->getSpecialFromDate();
                                $specialtodate = $_product->getSpecialToDate();
                                $today = time();
                                if(!$specialprice)
                                    $specialprice = $orgprice;
                                if($specialprice < $orgprice) {
                                    if((is_null($specialfromdate) && is_null($specialtodate)) || ($today >= strtotime($specialfromdate) && is_null($specialtodate)) || ($today <= strtotime($specialtodate) && is_null($specialfromdate)) || ($today >= strtotime($specialfromdate) && $today <= strtotime($specialtodate))){
//                                        if($_product_label_config['sale_label_percent']) {
                                            $save_percent = 100-round(($specialprice/$orgprice)*100);
                                            $product_label .= '<div class="product-label sale-label">'.__('discount').'-'.$save_percent.'%'.'</div>';
//                                        } else {
//                                            $product_label .= '<div class="product-label sale-label">'.$_product_label_config['sale_label_text'].'</div>';
//                                        }
                                    }
                                }
//                            }
//                            if($_product_label_config['new_label']) {
                                $now = date("Y-m-d");
                                $newsFrom= substr($_product->getData('news_from_date'),0,10);
                                $newsTo=  substr($_product->getData('news_to_date'),0,10);
                                
                                if ($newsTo != '' || $newsFrom != ''){
                                    if (($newsTo != '' && $newsFrom != '' && $now>=$newsFrom && $now<=$newsTo) || ($newsTo == '' && $now >=$newsFrom) || ($newsFrom == '' && $now<=$newsTo)) {
                                        $product_label .= '<div class="product-label new-label">'.__('new').'</div>';
                                    }
                                }
//                            }
                            if($product_label)
                                echo '<div class="product-labels">'.$product_label.'</div>';
                        ?>
                            <?php // Product Image ?>
                            <div class="nx-product-img">
                                <a href="<?php /* @escapeNotVerified */ echo $_product->getProductUrl() ?>" class="product photo product-item-photo" tabindex="-1">
                                    <?php echo $productImage->toHtml(); ?>
                                </a>
                            </div>
                            <div class="nx-product-details">
                                <?php
                                $_productNameStripped = $block->stripTags($_product->getName(), null, true);
                                ?>
                                <h4 class="nx-product-name">
                                    <a class="product-item-link"
                                       href="<?php /* @escapeNotVerified */ echo $_product->getProductUrl() ?>">
                                           <?php /* @escapeNotVerified */ echo $_helper->productAttribute($_product, $_product->getName(), 'name'); ?>
                                    </a>
                                </h4>
                                
                                                  <?php       
//                                                  $om = \Magento\Framework\App\ObjectManager::getInstance();
//                            $pdata = $om->create('Magento\Catalog\Model\Product')->load($_product->getId());
                            ?>
                                       
                                             <div class="nx-product-price">
                                <?php /* @escapeNotVerified */ echo $block->getProductPrice($_product) ?>
                                             </div>
                                <?php // echo $block->getProductDetailsHtml($_product); ?>
                            </div>
                                <div class="nx-product-hover-wrap">
                                <div class="nx-product-inner-wrap">
                                            <div data-role="add-to-links" class="nx-product-controls">
                                            <?php if ($this->helper('Magento\Wishlist\Helper\Data')->isAllow()): ?>
                                                <a href="#"
                                                   class="nx-product-wish-list-link from-left"
                                                   title="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
                                                   aria-label="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
                                                   data-post='<?php /* @escapeNotVerified */ echo $block->getAddToWishlistParams($_product); ?>'
                                                   data-action="add-to-wishlist"
                                                   role="button">
                                                    <i class="icon-heart"></i>
                                                    <span><?php /* @escapeNotVerified */ echo __('Add to Wish List') ?></span>
                                                </a>
                                            <?php endif; ?>
                                            <?php
                                            $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare');
                                            ?>
                                            <a href="#"
                                               class="nx-product-compare-link from-right "
                                               title="<?php echo $block->escapeHtml(__('Add to Compare')); ?>"
                                               aria-label="<?php echo $block->escapeHtml(__('Add to Compare')); ?>"
                                               data-post='<?php /* @escapeNotVerified */ echo $compareHelper->getPostDataParams($_product); ?>'
                                               role="button">
                                                <i class="icon-signal"></i>
                                                <span><?php /* @escapeNotVerified */ echo __('Add to Compare') ?></span>
                                            </a>
                                        </div>
                                            <?php if ($_product->isSaleable()): ?>
                                                <?php $postParams = $block->getAddToCartPostParams($_product); ?>
                                                    <div class="actions-primary">
                                                <form data-role="tocart-form" action="<?php /* @escapeNotVerified */ echo $postParams['action']; ?>" method="post">
                                                    <input type="hidden" name="product" value="<?php /* @escapeNotVerified */ echo $postParams['data']['product']; ?>">
                                                    <input type="hidden" name="<?php /* @escapeNotVerified */ echo Action::PARAM_NAME_URL_ENCODED; ?>" value="<?php /* @escapeNotVerified */ echo $postParams['data'][Action::PARAM_NAME_URL_ENCODED]; ?>">
                                                    <?php echo $block->getBlockHtml('formkey') ?>
                                                    <button type="submit"
                                                            title="<?php echo $block->escapeHtml(__('Add to Cart')); ?>"
                                                            class="from-top nx-buy btn btn-primary nx-product-add-to-cart btn-block action tocart">
                                                        <span><?php /* @escapeNotVerified */ echo __('Add to Cart') ?></span>
                                                    </button>
                                                </form>
                                                    </div>
                                            <?php else: ?>
                                                <?php if ($_product->getIsSalable()): ?>
                                                    <div class="stock available"><span><?php /* @escapeNotVerified */ echo __('In stock') ?></span></div>
                                                <?php else: ?>
                                                    <div class="stock unavailable"><span><?php /* @escapeNotVerified */ echo __('Out of stock') ?></span></div>
                                                <?php endif; ?>
                                            <?php endif; ?>
                            
                                
    
                                </div>
                        </div>
                    </div>
                    </div>
                    <?php if ($round2 == 2 ): ?>
                <?php $round2 = 1; ?>
                <div class="clearfix visible-sm-block visible-xs-block"></div>  
                        <?php else: ?>
                            <?php $round2++ ?>
                 <?php endif; ?>
                        <?php if ($round == 3): ?>
                            <?php $round = 1; ?>
                            <div class="clearfix visible-md-block visible-lg-block"></div>                
                        <?php else: ?>
                            <?php $round++ ?>
                        <?php endif; ?>
                        <?php $counter++; ?>
                    <?php // echo($iterator == count($_productCollection) + 1) ? '</li>' : '' ?>


<?php // ---------------------------------------- ?>
                    <?php endforeach; ?>
                <?php else : ?>
                    <?php foreach ($_productCollection as $_product): ?>
                        <?php $round = 1; ?>
                        <div class="col-xs-12">
                            <div class="product product-list-item  list-view-product">
                                <div class="row">
                                    <div class="col-md-3 col-xs-4 static">
                                        <?php
                                        $om = \Magento\Framework\App\ObjectManager::getInstance();
                                        $pdata = $om->create('Magento\Catalog\Model\Product')->load($_product->getId());
                                        $_finalPrice = $pdata->getData('special_price');
                                        $_price = $pdata->getData('price');
                                        if ($_finalPrice && $_price && ($_price > $_finalPrice)):
                                            ?>

                                            <div class="product-discount">
                                                <span> <?php echo __('Off'); ?></span>
                                                <br>
                                                <span><?php
                                                    $_savePercent = (($_price - $_finalPrice ) / $_price ) * 100;
                                                    ;

                                                    echo round($_savePercent) . '%';
                                                    ?></span>
                                            </div>
                                        <?php endif; ?>

                                        <figure class="product-figure">
                                            <?php
                                            $productImage = $block->getImage($_product, $image);
                                            if ($pos != null) {
                                                $position = ' style="left:' . $productImage->getWidth() . 'px;'
                                                        . 'top:' . $productImage->getHeight() . 'px;"';
                                            }

                                            echo $productImage->toHtml();
                                            ?>
                                        </figure>


                                    </div>

                                    <div class="col-md-6 col-xs-8">


                                        <div class="product-desc">
                                            <p>
                                                <strong><?php echo $_product->getName() ?></strong>
                                                <br>
                                                <?php if ($pdata->getData('description')): ?>
                                                    <?php
                                                    $descValue = $pdata->getData('description');
                                                    if (strlen(utf8_decode($descValue)) > 75) :
                                                        ?>
                                                        <?php $descValue = substr($descValue, 0, 75); ?>
                                                    <?php endif; ?>
                                                    <span><?php echo strip_tags($descValue) . '...' ?> </span>
                                                <?php endif; ?>
                                            </p>
                                        </div>

                                        <div class="product-price">
                                            <?php /* @escapeNotVerified */ echo $block->getProductPrice($_product) ?>
                                        </div>

                                        <span class="product-rate">
                                            <?php echo $block->getReviewsSummaryHtml($_product, $templateType); ?>
                                        </span>

                            


                                    </div>




                                    <?php if ($_product->isSaleable()): ?>
                                        <div class="col-md-3 col-xs-12">

                                            <?php $postParams = $block->getAddToCartPostParams($_product); ?>
                                            <form data-role="tocart-form" action="<?php /* @escapeNotVerified */ echo $postParams['action']; ?>" method="post">
                                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */ echo $postParams['data']['product']; ?>">
                                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */ echo $postParams['data']['uenc']; ?>">
                                                <?php echo $block->getBlockHtml('formkey') ?>
                                                <div class="product-btn-wrap text-center">
                                                    <button
                                                        type="submit"
                                                        data-style='zoom-in'
                                                        data-spinner-color='#<?php echo isset($mainColor) ? $mainColor : '47ba42'; ?>'
                                                        title="<?php echo $block->escapeHtml(__('Add to Cart')); ?>"
                                                        class="btn btn-default btn-outline btn-icon-hover ladda-button ladda-button-cart mb1">
                                                        <span class=" "><?php /* @escapeNotVerified */ echo __('Add to Cart') ?></span>
                                                        <i class="my-icon shopping-cart-plus"></i>
                                                    </button>
                                                                <span class='view3-controls' >

                                            <?php
                                            $compareHelper = $this->helper('Magento\Catalog\Helper\Product\Compare');
                                            ?>
                                            <a 
                                                href="#"
                                                title="<?php echo $block->escapeHtml(__('Add to Compare')); ?>"
                                                aria-label="<?php echo $block->escapeHtml(__('Add to Compare')); ?>"
                                                data-post='<?php /* @escapeNotVerified */ echo $compareHelper->getPostDataParams($_product); ?>'
                                                role="button"
                                                data-style='zoom-in'
                                                data-spinner-color='#<?php echo isset($mainColor) ? $mainColor : '47ba42'; ?>'
                                                class="see-compare ladda-button">
                                                <i class="my-icon compare  "></i>
                                            </a>

                                            <?php if ($this->helper('Magento\Wishlist\Helper\Data')->isAllow()): ?>
                                                <a
                                                    href="#"
                                                    title="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
                                                    aria-label="<?php echo $block->escapeHtml(__('Add to Wish List')); ?>"
                                                    data-post='<?php /* @escapeNotVerified */ echo $block->getAddToWishlistParams($_product); ?>'
                                                    data-action="add-to-wishlist"
                                                    data-style='zoom-in'
                                                    data-spinner-color='#<?php echo isset($mainColor) ? $mainColor : '47ba42'; ?>'
                                                    role="button"
                                                    class="add-to-wish-list ladda-button">
                                                    <i class="my-icon heart  "></i>
                                                </a>
                                            <?php endif; ?>

                                            <a id="list-goto-product-quick" data-style='zoom-in' title="<?php __('Quick View') ?>"
                                           data-spinner-color='#<?php echo isset($mainColor) ? $mainColor : '47ba42'; ?>'
                                           href="<?php /* @escapeNotVerified */ echo $_product->getProductUrl() ?>" class="goto-product ladda-button">
                                            <i class="my-icon eye"></i>
                                        </a>
                                        </span>
                                                </div>
                                            </form>
                                        </div>
                                    <?php endif; ?>


                                </div>
                            </div> <!-- product -->
                        </div>
                        <?php if ($round == 3): ?>
                            <?php $round = 1; ?>
                            <div class="clearfix"></div>                
                        <?php else: ?>
                            <?php $round++ ?>
                        <?php endif; ?>
                    <?php endforeach; ?>
                <?php endif; ?>

            </div>
            <?php if (!$block->isRedirectToCartEnabled()) : ?>
                <script type="text/x-magento-init">
                    {
                    "[data-role=tocart-form], .form.map.checkout": {
                    "catalogAddToCart": {}
                    }
                    }
                </script>
            <?php endif; ?>
            <?php endif; ?>
        </div>
                <?php if ($disabledLoad): ?>
        <div class="product-catalogue-list-load-more">
<?php echo $this->getToolbarBlock()->setTemplate('Magento_Catalog::product/list/toolbar_end.phtml')->toHtml(); ?>
        </div>
        <?php else: ?>
        <div class="product-catalogue-list-load-more" data-style='expand-right' data-spinner-color='#<?php echo isset($mainColor) ? $mainColor : '47ba42'; ?>'>
            <a href="#" id="load_more_button" class="btn btn-default ladda-button" data-style='zoom-in' data-spinner-color='#<?php echo isset($mainColor) ? $mainColor : '47ba42'; ?>'>
                <?php echo __('Load More') ?>
            </a>
        </div>
            <?php endif; ?>
    </section>
        </div>
                <?php
$urlInterface = $objectManager->get('Magento\Framework\UrlInterface');
$urlInterface->getCurrentUrl();
// map quick view statue to work fine in java script varible 
$quickViewEnabledMap = ($quickViewEnabled) ? '1' : '0';
?>
<script type="text/javascript">
    require(['jquery', 'ladda', 'bpopup', 'spin', 'jladda','bootstraper'], function ($, Ladda, bPopup) {

        $(document).ready(function () {
//$('.talk-with-us').tooltip();
            var quickViewEnabled = <?php echo $quickViewEnabledMap; ?>;
            if (quickViewEnabled) {
                            $('#v-modal').on('hidden.bs.modal', function (e) {
                $('#v-modal .view-body').html('<div class="text-center q-load" ></div>');
            });
                $('#product-addtocart-button').click(function () {
                       setTimeout(function () {
                                $('#myViewClose').trigger('click');
                            }, 2000);
                });
            }
            Ladda.bind('.add-to-wish-list');
            Ladda.bind('.see-compare');
            Ladda.bind('.add-to-cart');
            if (quickViewEnabled) {
                Ladda.bind('.goto-product');
            }
            Ladda.bind('.ladda-button-cart');
             <?php if (!$disabledLoad): ?>
            Ladda.bind('#load_more_button');
            var page = 2;
            var mode = '<?php echo $block->getMode() ?>';
            $('#load_more_button').click(function () {
                if (page > last_page) {
                    $("#list_start").append('<div class="clearfix" ></div><div class="alert alert-danger alert-dismissible fade in" role="alert"> <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button><?php echo __('There is n o more products.') ?></div>');
                    Ladda.stopAll();
                } else {
                    $.ajax({
                        url: '<?php echo $urlInterface->getCurrentUrl(); ?>/?p=' + page + '&product_list_mode=' + mode,
                    }).done(function (a) {
                        var html = a;
                        var items = $(a);
                        var products = $(html).find("#list_start").html();

                        if (products) {
                            $("#list_start").append(products);
                        } else {
                            $("#list_start").append('sorry there is no more products');
                        }
                        page++;
                    });
                }
                return false;
            });
             <?php endif; ?>
            $('.product-hover').click(function () {
                $(this).parent().addClass('product_hover_clicked');
            });
            if (quickViewEnabled) {
                $('.goto-product').click(function (e) {
                    $(this).parents('.product-list-item').addClass('product_hover_clicked');
                    var url = $(this).attr('hret');
                    var image = $(this).parents('.product-list-item').find(".product-figure").clone();
                    $.ajax({
                        url: url,
                    }).done(function (a) {
                   
                        var html = a;
                        var product = $(html).find("#product_info_media").html();
                        if (product) {
                            $("#v-modal .view-body").html(product);
                            $(image).insertBefore(".view-body .nx-section-boxed");
                        } else {
                            $("#v-modal .view-body").html('sorry there is no more products');
                        }
                        $("#product-addtocart-button").click(function () {
                         setTimeout(function () {
                                $('#myViewClose').trigger('click');
                            }, 2000);

                        });
                        Ladda.stopAll();
                    });

//                    return false;
                });
            }

        });
        $(document).ajaxComplete(function () {
            $('.product-list').find(".product_hover_clicked").removeClass('product_hover_clicked');
            Ladda.stopAll();
        });

    });
</script>

<?php }  ?> 

</div><!-- page-products page-with-filter fieldset wk-mp-fieldset  -->
    </div> <!-- wk_mp_design -->